Bug 1565072 - Workrave detects input events even if there is none
Summary: Workrave detects input events even if there is none
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: workrave
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yaakov Selkowitz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 10:28 UTC by Gergely Polonkai
Modified: 2019-05-28 19:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:52:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Gergely Polonkai 2018-04-09 10:28:13 UTC
Description of problem:

When not touching anything (keyboard, mouse, etc.) Workrave keeps counting down to the next break.


Version-Release number of selected component (if applicable):

workrave-1.10.20-2.fc28.x86_64


How reproducible:

Start Workrave, and it’s always there.


Actual results:

Workrave counts down to the next break, as if user input was happening.


Expected results:

Workrave stops counting down.


Additional info:

If I force start a Rest break, the counter blinks in orange as if I was using the keyboard/mouse.

I’m on Fedora 28, using GNOME on Xorg.

Comment 1 Gergely Polonkai 2018-04-09 10:29:06 UTC
Looking at the output of libinput-debug-events also shows there is no user input happening.

Comment 2 Yaakov Selkowitz 2018-04-09 15:34:02 UTC
I wonder if something is "faking" an input which would cause this, but I don't know the program *that* well.  Please report this upstream at https://issues.workrave.org/ with whatever details you can provide and post a link here so that we can track it.

Comment 3 Gergely Polonkai 2018-04-10 07:59:42 UTC
As Workrave’s bugzilla is not in the external tracker list, I’m unsure how to add it there.  Anyway, here’s the link: https://issues.workrave.org/show_bug.cgi?id=1291

Comment 4 Ben Cotton 2019-05-02 21:56:24 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-28 19:52:33 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.